Skip to main content
GET
/
api
/
v2
/
segments
/
{projectKey}
/
{segmentKey}
/
expiring-targets
/
{environmentKey}
Get expiring targets for segment
curl --request GET \
  --url https://app.launchdarkly.com/api/v2/segments/{projectKey}/{segmentKey}/expiring-targets/{environmentKey} \
  --header 'Authorization: <api-key>'
{
  "items": [
    {
      "_id": "12ab3c45de678910abc12345",
      "_version": 1,
      "expirationDate": "1672358400000",
      "contextKind": "user",
      "contextKey": "context-key-123abc",
      "_resourceId": {
        "environmentKey": "environment-key-123abc",
        "flagKey": "<string>",
        "key": "segment-key-123abc",
        "kind": "segment",
        "projectKey": "project-key-123abc"
      },
      "targetType": "included",
      "variationId": "cc4332e2-bd4d-4fe0-b509-dfd2caf8dd73"
    }
  ],
  "_links": {}
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

projectKey
string<string>
required

The project key

environmentKey
string<string>
required

The environment key

segmentKey
string<string>
required

The segment key

Response

Expiring context target response

items
object[]
required

A list of expiring targets

The location and content type of related resources